// ProObjFigureText.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "ProObjFigureText.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureText _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjFigureText, CFCProObjProperty)

CFCProObjFigureText::CFCProObjFigureText () : CFCProObjProperty(CFCProObjFigureText::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjFigureText)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
} // CFCProObjFigureText::CFCProObjFigureText.

CFCProObjFigureText::~CFCProObjFigureText ()
{
} // CFCProObjFigureText::~CFCProObjFigureText.

void CFCProObjFigureText::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjFigureText)
	DDX_Control(pDX, IDC_FG5_STC_BORDER_2, m_stcBorder2);
	DDX_Control(pDX, IDC_FG5_STC_BORDER_1, m_stcBorder1);
	//}}AFX_DATA_MAP
} // CFCProObjFigureText::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProObjFigureText, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjFigureText)
	ON_EN_CHANGE(IDC_FG5_EDT_TEXT_MARGIN_L, OnChangeFg5EdtTextMarginL)
	ON_EN_CHANGE(IDC_FG5_EDT_TEXT_MARGIN_T, OnChangeFg5EdtTextMarginT)
	ON_EN_CHANGE(IDC_FG5_EDT_TEXT_MARGIN_R, OnChangeFg5EdtTextMarginR)
	ON_EN_CHANGE(IDC_FG5_EDT_TEXT_MARGIN_B, OnChangeFg5EdtTextMarginB)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	ON_CBN_SELCHANGE(IDC_FG5_CMB_IS_RESIZE_HORZ_BY_TEXT, OnSelchangeFg5CmbIsResizeHorzByText)
	ON_CBN_SELCHANGE(IDC_FG5_CMB_IS_RESIZE_VERT_BY_TEXT, OnSelchangeFg5CmbIsResizeVertByText)
	ON_CBN_SELCHANGE(IDC_FG5_CMB_IS_SHORTEN_BY_TEXT, OnSelchangeFg5CmbIsShortenByText)
	ON_CBN_EDITCHANGE(IDC_FG5_CMB_TEXT_ANGLE, OnEditchangeFg5CmbTextAngle)
	ON_CBN_SELCHANGE(IDC_FG5_CMB_TEXT_ANGLE, OnSelchangeFg5CmbTextAngle)
	ON_CBN_CLOSEUP(IDC_FG5_CMB_TEXT_ANGLE, OnCloseupFg5CmbTextAngle)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	ON_CBN_SELCHANGE(IDC_FG5_CMB_TEXT_RESIZE_HORZ, OnSelchangeFg5CmbTextResizeHorz)
//	ON_CBN_SELCHANGE(IDC_FG5_CMB_TEXT_RESIZE_VERT, OnSelchangeFg5CmbTextResizeVert)
//	ON_BN_CLICKED(IDC_FG5_RDO_TEXT_SHORTEN_NONE, OnFg5RdoTextShortenNone)
//	ON_BN_CLICKED(IDC_FG5_RDO_TEXT_SHORTEN_SIZE, OnFg5RdoTextShortenSize)
//	ON_BN_CLICKED(IDC_FG5_RDO_TEXT_SHORTEN_UNKNOWN, OnFg5RdoTextShortenUnknown)
//----- 05.05.03 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

